/* $Id: platform_win.h 7623 2013-05-06 12:48:48Z chris $ */

/*
  Code adapted from the samples at:
  http://www.cdtool.pwp.blueyonder.co.uk/workshop.htm
*/


#ifndef PLATFORM_WIN_H
#define PLATFORM_WIN_H

#include <windows.h>
#include <winioctl.h>
#include <stdio.h>
#include <stdint.h>
#include <errno.h>

typedef HANDLE device_handle;

int open_device(const char* device_name, device_handle *handle);
int close_device(device_handle handle);
int scsi_cmd(device_handle handle, uint8_t *cmd, size_t cmd_len, uint8_t *data, size_t data_len);

#endif
